Что такое Линукс-изображения-дополнительный пакет для и нужно ли мне это?

Я периодически обновлять ядро с этого веб-сайта http://kernel.ubuntu.com/~ядра-НПА/магистральных/

Я всегда загрузить 3 deb-пакеты для установки Linux в заголовке все, образ Linux и Linux-заголовков. Я недавно заметил еще один файл deb для 64-битных ядра под названием Linux-образ-экстра.

Я хотел бы знать, что файл ядра Linux-образ-экстра делать и нужно ли мне его установить?

+315
rhyek 1 авг. 2011 г., 2:35:38
25 ответов

Раздел диска, пропавших без вести после установки Ubuntu, похоже, что разделы слились воедино и файлов на отсутствующие перегородки не существует.

Я решил использовать Ubuntu вместо Windows и я только что установил ОС Ubuntu на мой 1 ТБ HDD. До установки Ubuntu, я создал три раздела на жестком диске с помощью инструмента "Управление дисками" в Windows. первый раздел был около 42 ГБ. Второй и третий разделы были около 400 ГБ и 500 ГБ соответственно. Как только я загрузился в ОС Ubuntu с DVD-диска, я выбрал что-то другое с экрана установки и я пометил 42 раздел ГБ на корень и еще 100 МБ раздел, который был создан самой системой как файл подкачки.

Теперь, это место, где я совершил ошибку, я смог найти два других разделов в этом меню не в виде двух отдельных секций, но как один раздел около 900 ГБ и я уже думал, что он будет монтировать их отдельно после завершения установки.

После установки, я не мог найти 500 ГБ раздела и всех его файлов, а я нашла другого раздела ( с таким же именем, как я дал его, когда я использовал Windows), чтобы иметь большую емкость около 900 ГБ и те немногие файлы, которые я имел в них.

Теперь мне очень нужны эти файлы из пропавших разделов. Пожалуйста, помогите мне.

+976
qazwsxjadama1992 03 февр. '09 в 4:24

У меня есть исполняемый файл, но не знаете, какой тип или формат. Когда я выполнить такой

$чмод +х xfile
$./xfile

Он показывает

Разрешение отказано

когда я запускаю в режиме администратора

$судо ./xfile

Он показывает

команду sudo: ./xfile: команда не найдена

Я новичок в Linux, подскажите пожалуйста, как выполнить его.

+869
Vivek Sinha 12 дек. 2015 г., 19:28:34

Вход в от терминала по умолчанию пытается войти в удаленный компьютер с вашим именем пользователя на локальном компьютере. В Наутилусе вы должны ввести ваше имя пользователя на удаленной машине. Я предполагаю, что ваши локальные и удаленные логины не совпадают.

Использовать SSH пользователь@сервер для входа в систему с другим именем пользователя.

+804
AnotherChoice Forus 2 апр. 2019 г., 18:15:57

Когда я действия dput -Ф окружения myhost, foobar_x.х.х.изменения, он успешно загружен пакет, но произведены следующие предупреждения:

фрагментик нет источника переопределить запись
фрагментик не имеет бинарный вход переопределить либо

Как я могу указать источник/бинарные переопределения, и/или просто подавить предупреждения?

Я использую мини-dinstall на профпригодность в качестве серверной части репозитория менеджера.

+745
Mitchell kaplan 29 мар. 2016 г., 12:51:59

У вас несколько вариантов, если вы хотите указать /дома/развернуть/.BuildServer в другой каталог, /under_root/somefolder/.

1) Создать симлинк

ЛН-ы /under_root/somefolder/ /дома/развернуть/.BuildServer

Вы должны удалить .Каталог BuildServer первый. Кроме того, вы можете перемещать .BuildServer каталог на новом месте:

МВ /домашний/развернуть/.BuildServer/ /under_root/somefolder/

Теперь запустите в командной (см. выше). Примечание: пользователь /under_root/somefolder/ должны иметь доступ к этой папке. Сказать пользователю развернуть, somefolder принадлежит развертывания, а /under_root является собственностью какой-либо другой пользователь. Теперь у вас есть две возможности: позволить развертывать быть членом группы, используемые для /under_root и придаст бит исполнения для группы. (чмод г+х /under_root). Другое дело, что развернуть не имеют groupship за /under_root. В этом случае, убедитесь, что кто-то может нырнуть в каталоге: о чмод+х /under_root). Это должно быть сделано для каждой папки "выше" /under_root/somefolder.

2) монтирования

Это может сделать только пользователь с правами root (обратитесь к сисадмину).

горе ... персонализация /under_root/somefolder /дома/развернуть/.BuildServer

Используя этот метод, нет необходимости возиться с разрешениями /under_root. Еще одно преимущество перед симлинки заключается в том, что этот метод работает даже если SSH chroot-окружений для /дома/развернуть.

+741
nijaan tina 11 окт. 2014 г., 13:12:02

Это расстраивает проблема, есть ли способ, чтобы предотвратить Тотем из журнала все файлы, которые я смотрю? То же самое и с фото.

Под панелью приборов -> конфиденциальность, я отключил ведение журнала и отключил его специально для этих проблем, но каждый новый файл смотреть появляется в меню тотем.

Это приводит меня к мысли, что если тотем записывает его, а затем других программ записываете его.

Есть ли какие-нибудь обходные пути?

Я уже добавил "ГТК-последние файлы-Макс-Возраст = 0" на мой gtkrc по-2.0 файл и проблема сохраняется.

Любые идеи?

+728
Bombot Kembot 9 дек. 2016 г., 8:21:01

Кроме того, вы можете

судо МВ /т. д./харч.д/30_os-проберитесь в /etc/харч.д/09_os-проберитесь обновление-жратва && судо 
+678
Tiger42 25 июн. 2014 г., 12:34:29

Это контроль и прокрутки на мыши или управления переключением =/+

Это происходит потому, что эволюция не упакованных с его собственный файл-браузер (как и большинство приложений), но использует Наутилус (или как там по умолчанию, опять-таки, как и большинство приложений). Это делается для единства в интерфейсе и потому, что программисты, в общем, ленивы.

+665
Susanpearls 14 дек. 2017 г., 6:22:30

Я хочу сделать некоторые очистки, и было интересно, как я могу увидеть, какие пакеты я никогда не использовал и был очень долго, так как я использовал их.

+620
Dr Coconut 2 мар. 2012 г., 7:13:42

Попробуйте это:

судо МВ /usr/доли/ДГУ-1/услуги/орг.обновление Xfce.xfce4-notifyd.Уведомления.услуги /usr/доли/ДГУ-1/услуги/орг.обновление Xfce.xfce4-notifyd.Уведомления.обслуживание.отключен
+553
404 not found 30 апр. 2015 г., 21:20:25

В Ubuntu мы имеем команду rfkill, который может отключить беспроводные устройства. Например:

список rfkill

Вы увидите нечто подобное:

0: Сони-беспроводной: беспроводной локальной сети мягкая блокировка: нет жесткая блокировка: нет

1: Сони-Bluetooth: с Bluetooth мягкая блокировка: нет жесткая блокировка: нет

2: Сони-WWAN-сети: беспроводная локальная сеть мягкая блокировка: нет жесткая блокировка: нет

3: phy0: беспроводная ЛВС мягкая блокировка: нет жесткая блокировка: нет

4: hci0: Bluetooth с мягкая блокировка: нет жесткая блокировка: нет

Это означает, что все устройства работают. Если вы хотите заблокировать, например типа Bluetooth:

rfkill блок 4

После этого rfkill список покажет

0: Сони-беспроводной: беспроводной локальной сети мягкая блокировка: нет жесткая блокировка: нет

1: Сони-Bluetooth: с Bluetooth мягкая блокировка: нет жесткая блокировка: нет

2: Сони-WWAN-сети: беспроводная локальная сеть мягкая блокировка: нет жесткая блокировка: нет

3: phy0: беспроводная ЛВС мягкая блокировка: нет жесткая блокировка: нет

4: hci0: Bluetooth с мягкая блокировка: да жесткая блокировка: нет

Если вы хотите заблокировать все устройства тип: rfkill BLOCK все , чтобы разблокировать: разблокировать все rfkill

+530
franycom 26 февр. 2012 г., 17:44:43

Я пытался установить Ubuntu на машину в WindowsXP в качестве второй операционной системы.

Я не сделать опцию "установить Ubuntu рядом с ними", когда я иду через процесс установка с Live-СD.

Любой идеи или помощь, на что мне было делать?

Дополнительную информацию:

У меня три основных раздела:

  • (без заголовка) 78MB жира
  • Восстановление (Д:) 10 ГБ в NTFS
  • (С:) 136.47 ГБ В NTFS
  • И один расширенный раздел (как логический диск): - поставляется 2,5 ГБ фат 32

Нет неразмеченного места на диске осталось

Мой диск-это основной накопитель и я запустил chkdsk (ошибок не найдено), но проблема сохраняется

+457
iconmaster 29 мар. 2019 г., 5:07:52

Для отключения системы с помощью скрипта повторением символов вот то, что вам нужно сделать.

  1. Выберите папку с повторением символов ("новый скрипт" будет доступна только тогда, когда выбрана папка)

  2. Перейти к Файл -> Создать -> новый скрипт

  3. Введите следующий сценарий:

    системы.exec_command("gksu выключение -Р 0", ложь)
    

    Примечание: глядя на повторением символов образец сценарии это выглядит, как вы используете систему.exec_command() для выполнения команд оболочки, которая будет equilivlent для вызова стандартного Python функция подпроцесса.вызова("некоторые команды оболочки", "Шелл" =правда) (если вы знакомы с Python).

  4. Нажмите кнопку "Установить" справа от "горячих клавиш". Нажмите кнопку "Установка", нажмите необходимую клавишу, а затем нажмите любую нужные модификаторы для этого ключа ("контроль", "Альт", "смена", "супер"), а затем "ОК".

    Примечание: Альт+контроль+Т - это ярлык комбо для открытия гном-терминал.

  5. Нажмите кнопку "Сохранить" и все готово.

+451
biroshima 4 мая 2013 г., 11:36:55

Удаление Магистральных Ядер

Магистрального ядра имеют свое собственное пространство имен Аби так их устанавливать бок с запасом ядер в Ubuntu (каждое ядро имеет отдельный каталог /библиотека/модули/версия например). Это означает, что вы можно сохранить несколько магистральных и Ubuntu запас ядер на же время и выберите нужную из меню grub.

Если вы хотите вообще удалить ветку, первым использованием:

с помощью dpkg -л | грэп "Линукс\-[a-я]*\-"

чтобы найти точное название ядра пакеты, которые вы хотите удалить, и тогда действительно:

судо apt-получить удалить KERNEL_PACKAGES_TO_REMOVE

Помните, что несколько пакетов принадлежать к одной версии ядра: общие заголовки, заголовки конкретной архитектуры и архитектуры изображения.

Источник: https://wiki.ubuntu.com/Kernel/MainlineBuilds#Uninstalling_Mainline_Kernels

+406
lukethompson 9 дек. 2013 г., 11:32:28

Вы обновили систему после установки? Если ответ "нет", то ты должен сделать это сейчас. В большинстве случаев это просто решить вашу проблему непринятых зависимостей. Обе системы и программного обеспечения репозитория должны быть обновлены. Если вы успешно обновили свою систему, но проблема существует, то попробуйте удалить пакет или конкретных зависимостей пакета и снова переустановить их с AP-GET или менеджер пакетов Synaptic.

Надеюсь, что это помогает.

+379
Guillaume Darmont 9 сент. 2014 г., 18:53:17

Я, наконец, получил это работает, но я не (не) использовать акции в Ubuntu. Я собираюсь написать то, что я сделал, но я собираюсь поместить его в качестве дополнения к официальной странице говорить на приходится. Вы должны быть в состоянии найти его на официальной странице , когда я закончу.

Ключевые Моменты:

  • Вам нужно получить и собрать драйверы из Ceton. Они не приходят в Ubuntu 12.04 как модуль ядра или дополнительного кода в Апте. Если вы обновляете ядро, вам придется вручную повторно установить драйверы.
  • Вы должны убедиться, что ваш компьютер говорит 192.168.200.1 через интерфейс кор0. Если у вас нет кор0 интерфейс, см. выше пункт.
  • Я не мог получить эту работу в и mythtv 0.25; мне пришлось использовать MythBuntu добавить-на пакет для обновления мне и mythtv 0.26. Затем он работал.
  • Вы можете не искать каналы. Вам потребуется SchedulesDirect в США или что-то подобное в вашей стране, чтобы получить соответствующий список каналов. Если у вас есть список каналов, поиск каналов прекрасно.
  • Вы должны использовать mplayer для тестирования ваших настроек карты cablecard:

кошка /Дев/ceton/ctn91xx_mpeg0_0 | mplayer'ом -кэш 8192 -

+360
Scott Jordan 10 июл. 2010 г., 22:24:02

Я хотел бы, чтобы остановить Windows от входа в соседние помещения. Хотелось, чтобы каждое окно, чтобы быть самодостаточным внутри текущей области.

Также, как я могу запретить идти под панелью единства?

Спасибо.

+306
Logan545 6 апр. 2012 г., 8:46:51

Я хочу иметь возможность запуска Openbox как оконный менеджер во время работы гнома.

Если я установки Openbox, я получаю дополнительные выборы в окне ГДМ логин 'в GNOME/Openbox В" и "сессию Openbox'. Если я войти с сессию Openbox, она успешно запускается на Openbox. Однако, если я войти в систему с помощью 'сеанса GNOME/Openbox в так что я могу запустить гнома, но просто заменять перевод с Openbox, я считаю, что поддержка не запускается, и что перевод-это управление приложения Windows.

Это выглядит что-то не работает в GNOME/Openbox на сессии в 10.04 (и, возможно, другие версии Ubuntu).

Я знаю, что я могу вручную заменить перевод с Openbox набрав на Openbox --заменить, но я хочу знать правильный способ начать Openbox в среде гном автоматически при входе в систему.

+254
applecider 15 февр. 2013 г., 23:13:41

Какая команда для обновления времени и даты с Интернетом? Есть ли приложение, которое позволяет мне делать это из своего пользовательского интерфейса, а не от снаряда?

+245
Lisa DeBruine 15 мая 2017 г., 11:13:38

Возможные Дубликаты:
Как установить Windows 7 рядом с уже существующей установки Ubuntu?

Im ищет, чтобы получить Windows 7 стартер снова работает на моем ноутбуке с двумя операционными системами, так что я могу запустить некоторые программы Windows, что вино и кросс-овер не будет работать. Что бы быть лучший совет о том, как это сделать?

У меня есть ключ, который я могу использовать, когда я первоначально получил ноутбук и я могу только использовать USB для установки. Ive слышал, что установка Windows может полностью перечеркнуть Xubuntu и вы должны снова установить Xubuntu в (не знаю, правда это или нет) но хотелось бы избежать этого, поскольку я не имею много свободного времени, чтобы выяснять все заново.

+187
Jose Alves Maciel Junior 29 сент. 2019 г., 7:20:11

Я понял это сейчас.

Решение здесь это сделали за меня: https://serverfault.com/questions/243343/headless-ubuntu-server-machine-sometimes-stuck-at-grub-menu

Я изменил мой файл /etc/харч.д/00_header и отредактировал раздел recordfail для:

если [ \${recordfail} = 1 ]; тогда
 установить параметр timeout=${GRUB_TIMEOUT}
еще
 установить параметр timeout=${GRUB_TIMEOUT}
интернет
ВФ

Пробежала судо обновление-жратва, перезагружается и загружается прямо в Ubuntu. Обязательно!

+174
Youssef Elboukhari 11 апр. 2014 г., 1:53:58

им не familair с KDE, но, вы можете попробовать использовать программу alsamixer в терминале

the alsamixer program

+134
vladp 23 июл. 2019 г., 18:47:15

Я не уверен, если я полностью понял ваш вопрос, но я думаю, что вы можете переключиться в текстовый экземпляр с Ubuntu, остановить X-сервер, а затем установить пакет оттуда.

  1. Нажмите сочетание клавиш Ctrl+АЛТ+Ф1 , чтобы переключиться в текстовый среды (Ф1 до Ф6 , текстовых).
  2. Остановить X-сервер с судо служба lightdm остановить.
  3. Установите пакет.
  4. Перезапустите X-сервер с судо служба lightdm перезапускать.
  5. Нажмите сочетание клавиш Alt+F7 и вернуться к умолчанию в графическом экземпляре.

Я новичок в Ubuntu. Надеюсь, мой ответ поможет.

+105
charlax 29 апр. 2013 г., 23:23:43

Я установил PHP,Apache и MySQL. После phpmyadmin используя этот код:

суда apt-получить установку в phpmyadmin

Я вижу любая проблема, когда я устанавливаю приложения phpmyadmin. Но я не могу достичь.

enter image description here

Мне товарищ этот ресурс, когда я устанавливал пакет.

+67
jaydoubleu 16 июн. 2015 г., 6:51:05

Недавно я установил Ubuntu на моем сервере, я хотел установить TeamViewer, чтобы я мог легко управлять виртуальными машинами, тем не менее, я получаю ошибки при установке из магазина приложений?, И я также получаю ошибки, но более подробно о терминале.

Вывод ошибок:

Тэк@Тэк-G53SW:~/загрузки$ sudo эти команды dpkg -я ипти teamviewer_linux_x64.деб
с dpkg: ошибка при обработке ИПЦ (--установки):
 нет доступа к архиву: нет такого файла или каталога
(Чтение базы данных ... 142115 файлы и каталоги установлены.)
Готовится сменить teamviewer7 7.0.9360 (используя teamviewer_linux_x64.деб) ...
Распаковка замена teamviewer7 ...
с dpkg: проблемы зависимостей предотвратить конфигурации teamviewer7:
 teamviewer7 зависит от пакетов libc6-для i386 (>= 2.7), однако:
 Пакет libc6-i386 находится не установлены.
 teamviewer7 однако зависит от lib32asound2;:
 Lib32asound2 пакет не установлен.
 teamviewer7 однако зависит от lib32z1;:
 Пакет lib32z1 не установлено.
 teamviewer7 зависит от ia32-библиотеки, однако:
 Пакет ia32-libs находится не установлены.
с dpkg: ошибка при обработке teamviewer7 (--установки):
 проблемы зависимостей - оставляем "не задано"
Ошибки возникли при обработке:
ипти
teamviewer7

Я попытался установить его вручную, но не повезло, я слышал некоторые другие проблемы. Я использую Убунту 12.04 х64.


Ошибка @ судо apt-получить установку пакетов libc6-i386 в lib32asound2 lib32z1 ia32-библиотеки :

Тэк@Тэк-G53SW:~/загрузки$ судо apt-получить установку пакетов libc6-i386 в lib32asound2 lib32z1 ia32-библиотеки
Чтение списков пакетов... готово
Построение дерева зависимостей 
Чтение информации о состоянии... готово
Возможно, вы захотите воспользоваться 'apt-получить -Ф Install' для исправления этих:
Следующие пакеты имеют неудовлетворенные зависимости:
 ia32-библиотеки : зависит: ia32-библиотеки-мультиархитектурный
Е: неудовлетворенные зависимости. Попытайтесь выполнить 'apt-получить -установить Ф' без упаковки (или указать решения).
Тэк@Тэк-G53SW:~/загрузки$


Больше ошибок

Тэк@Тэк-G53SW:~/загрузки$ судо apt-получить -Ф установите
[суда] пароль для ТЭК:
Чтение списков пакетов... готово
Построение дерева зависимостей 
Чтение информации о состоянии... готово
Исправление зависимостей... сделано
Следующие пакеты будут удалены:
teamviewer7
0 обновлено, 0 установлено новых, 1 для удаления, и 0 пакетов не обновлено.
1 не полностью установлены или удалены.
После этой операции, 81.9 Мб дискового пространства будет освобождена.
Вы действительно хотите продолжить [д/н]? г
(Чтение базы данных ... 142441 файлы и каталоги установлены.)
Удаление teamviewer7 ...
Тэк@Тэк-G53SW:~/загрузки$ судо apt-получить установку пакетов libc6-i386 в lib32asound2 lib32z1 ia32-библиотеки
Чтение списков пакетов... готово
Построение дерева зависимостей 
Чтение информации о состоянии... готово
lib32z1 уже новейшая версия.
пакетом libc6-i386 находится уже в последней версии.
lib32asound2-это уже новейшая версия.
Некоторые пакеты невозможно установить. Это может означать, что у вас есть
просите невозможного, или если вы используете нестабильный
распределение, что некоторые необходимые пакеты еще не созданы
или были удалены из incoming.
Следующая информация может помочь разрешить ситуацию:

Следующие пакеты имеют неудовлетворенные зависимости:
 ia32-библиотеки : зависит: ia32-библиотеки-мультиархитектурный
Е: не удалось исправить ошибки, у вас прошла сломанные пакеты.
Тэк@Тэк-G53SW:~/загрузки$ судо apt-получить установку ia32-библиотеки-мультиархитектурный
Чтение списков пакетов... готово
Построение дерева зависимостей 
Чтение информации о состоянии... готово
Некоторые пакеты невозможно установить. Это может означать, что у вас есть
просите невозможного, или если вы используете нестабильный
распределение, что некоторые необходимые пакеты еще не созданы
или были удалены из incoming.
Следующая информация может помочь разрешить ситуацию:

Следующие пакеты имеют неудовлетворенные зависимости:
 ia32-библиотеки-мультиархитектурный:для i386 : зависит: gstreamer0.10-плагинов-хорошее:для i386 но он не будет установлен
 Зависит: комплекта библиотек GTK2-двигатели:для i386 но он не будет установлен
 Зависит: комплекта библиотек GTK2-двигатели-муррине:для i386 но он не будет установлен
 Зависит: комплекта библиотек GTK2-двигатели-pixbuf:для i386 но он не будет установлен
 Зависит: комплекта библиотек GTK2-двигатели-кислород:для i386 но он не будет установлен
 Зависит: ибус-ГТК:для i386 но он не будет установлен
 Зависит: libcanberra-GTK-на-модуле:для i386 но он не будет установлен
 Зависит: libcups2:для i386 но он не будет установлен
 Зависит: libcupsimage2:для i386 но он не будет установлен
 Зависит: libfontconfig1:для i386 но он не будет установлен
 Зависит: libgail-общее:для i386 но он не будет установлен
 Зависит: libgphoto2-2:для i386 но он не будет установлен
 Зависит: libgtk2.0-0:для i386 но он не будет установлен
 Зависит: libnss3:для i386 но он не будет установлен
 Зависит: libqt4-OpenGL для:для i386 но он не будет установлен
 Зависит: libqt4-qt3support:для i386 но он не будет установлен
 Зависит: libqt4-scripttools:для i386 но он не будет установлен
 Зависит: libqt4-SVG с:для i386 но он не будет установлен
 Зависит: libqtgui4:для i386 но он не будет установлен
 Зависит: libqtwebkit4:для i386 но он не будет установлен
 Зависит: librsvg2-общее:для i386 но он не будет установлен
 Зависит: libsane:для i386 но он не будет установлен
Е: не удалось исправить ошибки, у вас прошла сломанные пакеты.
Тэк@Тэк-G53SW:~/загрузки$
+11
Behrooz Omidvar Tehrani 1 янв. 2015 г., 13:35:42

Показать вопросы с тегом